use inc::Module::Install;

perl_version '5.008008';


name 'make-world';
license 'gpl3';

all_from 'src/make-world';


requires 'Cwd';
requires 'File::Copy';
requires 'File::Path';
requires 'File::pushd';
requires 'File::Temp';
requires 'File::Spec::Functions';
requires 'Pod::Perldoc';
requires 'YAML::Tiny';
requires 'XML::Tiny';
requires 'Capture::Tiny';
requires 'version' => 0.77;
requires 'Archive::Extract';
requires 'File::Copy::Recursive';
requires 'IPC::Cmd' => 0.64;
requires 'Module::Load';
requires 'String::Interpolate::Shell';

recommends 'Getopt::ArgvFile';

author_requires 'Test::Pod';
author_requires 'Test::Strict';

bundle 'IPC::Cmd';
bundle 'version';
bundle 'Test::More';
bundle 'XML::Tiny';
bundle 'YAML::Tiny';
bundle 'Capture::Tiny';
bundle 'Template::Tiny';
bundle 'Locale::Maketext::Simple';
bundle 'Params::Check';
bundle 'Archive::Extract';
bundle 'File::Copy::Recursive';
bundle 'File::pushd';
bundle 'String::Interpolate::Shell';

# can't bundle Getopt::ArgvFile because of behavior of Test::Pod
# when there's no lib or blib directories to search for pod source
# bundle 'Getopt::ArgvFile';

install_script 'src/make-world';

if ( ( my $graft ) = grep { /--graft=(.*)/ } @ARGV )
{
    my ( $graft_root ) = $graft =~ /^--graft=(.*)/;
    my $install_base = "$1/" . name() . '-' . version();
    @ARGV = grep { ! /^--graft=/ } @ARGV;

    push @ARGV, "INSTALL_BASE=$install_base";
}

use Cwd;
use File::Spec::Functions qw[ catdir ];

my $cwd = getcwd;

makemaker_args(
	 INST_ARCHLIB => catdir( $cwd, qw[ blib arch] ),
	 INST_LIB     => catdir( $cwd, qw[ blib lib] ),
	 INST_BIN     => catdir( $cwd, qw[ blib bin] ),
	 INST_SCRIPT  => catdir( $cwd, qw[ blib script] ),
	 INST_MAN1DIR => catdir( $cwd, qw[ blib man1] ),
	 INST_MAN3DIR => catdir( $cwd, qw[ blib man3] ),
	 );

WriteAll;
