package MakeWorld::Utils;

use strict;
use warnings;

use File::Spec::Functions qw[ catfile file_name_is_absolute ];

use base 'Exporter';

use MakeWorld::Global;

our @EXPORT_OK =
  qw[
	find_exe
   ];


sub find_exe
{
    my ( $exe ) = @_;

    my $file;

    # check if absolute path to file; test directly
    if ( file_name_is_absolute( $exe ))
    {
	$file = $exe if  -f $exe && -x _;
    }

    # not absolute; find it
    else
    {
	( $file ) = grep { -f $_ && -x _}
	  map { glob(catfile($_,$exe)) }
	    @{$opt{srcdir}}, split(':', $ENV{PATH} ), '.';
    }

    die( "unable to find executable command: $exe \n" )
	unless $file;

    return $file;
}

1;
